For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log in to the PayOS Dashboard
GuidesAPI ReferenceHelp Center
GuidesAPI ReferenceHelp Center
  • Authentication API
    • POSTRequest an Access Token
  • Payments API
  • Payment Rules API
  • Payouts API
  • Payers API [BETA]
  • Reporting API
      • POSTCreate Transactions Report
      • POSTCreate Transactions Reconciliation Report
      • POSTCreate Unmatched Settlements Report
      • GETList Reports
      • GETGet Transactions Report
      • GETGet Transactions Reconciliation Report
      • GETGet Unmatched Settlements Report
      • GETGet Generic Report
      • POSTImport Generic Report
  • Verification API
Log in to the PayOS Dashboard
LogoLogo
Reporting APIReport

Get Generic Report

GET
https://api.payos.money/api/v1/reports/generic/:id
GET
/api/v1/reports/generic/:id
$curl https://api.payos.money/api/v1/reports/generic/id
1{
2 "summary": {
3 "id": "string",
4 "reportType": "TransactionsReport",
5 "merchantId": "string",
6 "requesterUsername": "string",
7 "createdAt": "2024-01-15T09:30:00Z",
8 "status": "Initiated",
9 "name": "string",
10 "generatedAt": "2024-01-15T09:30:00Z",
11 "merchantName": "string"
12 },
13 "parameters": {
14 "columns": [
15 "string"
16 ]
17 },
18 "rows": [
19 {
20 "values": {}
21 }
22 ]
23}
Retrieve a specific generic report
Was this page helpful?
Previous

Import Generic Report

Next
Built with

Path parameters

idstringRequired

Response

Generic report retrieved successfully
summaryobject
parametersobject
rowslist of objects

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error